// Arquivo de exemplo: MatchCollection.cs
// Para compilar utilize: csc MatchCollection.cs
using System;
using System.Text.RegularExpressions;

public class MatchCollection1 {
	public static void Main() {
		string msg = "";
		Regex reg = new Regex(@"\w+([-+.]\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*");
		MatchCollection Coll = 
		reg.Matches("Este é o meu e-mail asprs@bol.com.br; 	não é meu e-mail asp.net@empresa.com");
		for( int i=0; i< Coll.Count; i++ ) {
			msg += Coll[i].Value + "\n";
		}
		Console.Write(msg);
		Console.Read();
	}
}
